:root{
    --cShad: #4444441a;
    --cBody: #ebe9e8;
    --cPage: #f8f8f7;
    --cText: #383B39;
    --cLine: #6d6b6b;
    --cBord: #e4e2db;
    --cMobM: rgba(255, 253, 243, 0.9);
    --cAcn0: #f8de68;
    --cBul0: #ffa939;
    --cAcn1: #80defa;
    --cBul1: #0b73af;
    --cAcn2: #fdb39d;
    --cBul2: #f54c40;
    --cAcn3: #eef58b;
    --cBul3: #909914;
    --cAcn4: #9dfcd7;
    --cBul4: #16faa3;
    --cAcn5: #f49dff;
    --cBul5: #dd1cf7;

    --margTop: 16px;
    --radiusS: 2px;
    --radiusM: 6px;
    --radiusL: 8px;
    --pageSep: 40px;
    --menuSep: 20px;
    --padSide: 40px;
    --padMid: 36px;
    --padTop:  0px;
    --barWid : 60px;
    --tagWid : 44px;
    --menuWid: 180px;
    --menuHig: 500px;
    --sectionGap: 24px;
    --pageWid: min(80vh, calc(100vw - var(--tagWid) - var(--menuWid) - var(--menuSep)));
    --pageLeft: calc(0.5*(100vw - var(--pageWid) - var(--menuWid)));
    --menuLeft: calc(var(--pageLeft) + var(--pageWid) + var(--menuSep));
    --mBPosX: 1em;
    --mBPosY: 1em;
}

/* This is essential to avoid a world of width-based pain */
* {box-sizing: border-box;}

@font-face {
    src: url('fonts/SofiaSans-Variable.ttf');
    font-family: 'font-regular';
    font-weight: 1 1000;
}

@font-face {
    src: url('fonts/SofiaSansSemiCondensed-Variable.ttf');
    font-family: 'font-semicond';
    font-weight: 1 1000;
}

fnw { white-space: nowrap; }
fpw { white-space: pre-wrap; }

f0 { font-family: 'font-semicond'; font-size: 3rem; font-weight: 800;}
f1 { font-family: 'font-semicond'; font-size: 3rem; font-weight: 20;}
f2 { font-family: 'font-semicond'; font-size: 1rem; font-weight: 400; letter-spacing: 0.4rem;}
f3 { font-family: 'font-semicond'; font-size: 1rem; font-weight: 500; letter-spacing: 0.15rem;}
b1 { font-weight: 400;display: inline;}

html {
    scroll-behavior: smooth;
    height: 100%;
    background-color: var(--cBody);
}

body {
    width: 100vw;
    margin: 0;
    font-family: 'font-semicond';
    font-weight: 200;
    font-size: 15px;
    letter-spacing: 0.1px;
    line-height: 1.5rem;
    font-feature-settings: "liga" 0;
    overflow-x: hidden;
}

html, body {
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

pre code {
    white-space: pre-wrap;
    word-wrap: break-word;
}


.Page {
    transform-style: preserve-3d;
    position: relative;
    z-index: 2;
    width: var(--pageWid);
    background-color: var(--cPage);
    min-height: calc(1.5 * var(--pageWid));
    margin-top: var(--margTop);
    margin-left: var(--pageLeft);
    margin-bottom: var(--pageSep);
    border-radius: var(--radiusS);
    background: var(--cPage);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    text-align: justify;
    border-bottom: 40px solid #ebe6e0;
    overflow-x: hidden;
    opacity: 0;
    transition: all 0.6s ease-out;
}

.Page:nth-child(odd) {
    transform: translateX(-100px);
}

.Page:nth-child(even) {
    transform: translateX(100px);
}

.Page.visible {
    opacity: 1 !important;
    transform: translateX(0) !important;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(20px); /* Starts slightly below its final position */
    }
    100% {
        opacity: 1;
        transform: translateY(0); /* Ends in its final position */
    }
}

* a, a:visited {
    text-decoration: none;
    color: var(--cText);
}

.block{
    display: flex;
    overflow-x: hidden;
}

.head-left{
    display: flex;
    flex: 0 0 26%;
    flex-direction: column;
    justify-content: center;
    padding-right: var(--padMid);
    padding-top: var(--sectionGap);
    text-align: right;
}

.head-right{
    display: flex;
    flex: 0 0 74%;
    padding-right: var(--padSide);
    padding-top: var(--sectionGap);
    align-items: center;
}

.mobile-mail{
    display: none;
}

.page-tag {
    display: flex;
    flex: 0 0 26%;
    height: fit-content;
    background-color:  var(--cVar, var(--cAcn0));
    padding-top: 8px;
    padding-bottom: 8px;
    border-right: 3px solid var(--cLine);
    font-size: 22px;
    font-weight: 500;
    padding-right: var(--padMid);
    justify-content: flex-end;
    text-transform: uppercase;
}


.block-left{
    display: flex;
    flex: 0 0 26%;
    flex-direction: column;
    padding-right: var(--padMid);
    text-align: right;
}

.block-right{
    display: flex;
    flex: 0 0 74%;
    flex-direction: column;
    padding-right: var(--padSide);
    margin-bottom: var(--sectionGap);
    text-align: justify;
}

.block-right p{
    margin: 0;
}

.bio-pic{
    margin-right: 30px;
    margin-left: auto;
    align-items: flex-end; 
    padding: 0px;
}

.bio-pic img {
    display: block;
    width: 100px;
    border-radius: 50px;
}

.mail-item {
    display: flex;
    align-items: start;
    justify-content: right;
    padding: 4px;
    font-size: 16px;
    font-weight: 360;
    white-space: nowrap;
    cursor: pointer;
    gap: 8px;
}

.mail-item img {
    width: 16px;
    height: 16px;
    opacity: 0.7;
}

.mail-item span{
    line-height: 18px;
}

.mail-item [data-lucide] {
    width: 16px;
}

.full-line {
    width: 100%;  
    border-top: 1px solid var(--cLine);
    flex-shrink: 0;
}


.m-line {
    width: 100%;
    margin-top: 1.5em;
    border-top: 1px solid var(--cBord);
    flex-shrink: 0;
}



.T1 { 
    font-family: 'font-semicond'; 
    font-size: 1.2rem; 
    font-weight: 460;
    letter-spacing: 0.2rem;
    text-transform: uppercase; 
}

.T2 { 
    font-family: 'font-semicond'; 
    font-size: 1rem; 
    font-weight: 500;
    letter-spacing: 0.1rem;
    text-transform: uppercase;
}

.T3 { 
    font-family: 'font-semicond'; 
    font-size: 0.9rem; 
    font-weight: 300;
    letter-spacing: 0.1rem;
    margin-bottom: 2px;
}

.card {
    display: flex;
    gap: 16px;
    margin-top: 6px;
    margin-bottom: 10px;
    align-items: center;
    padding: 16px;
    border: 1px solid var(--cBord);
    border-radius: var(--radiusS);
    background-color: #ffffff;
    box-shadow: rgba(0, 0, 0, 0.04) 0px 3px 5px;
}

.card-a {
    display: flex;
    flex: 1;
    flex-direction: column;
}


.card-b {
    display: flex;
    flex: 1;
    flex-direction: column;
}


.card-fig {
    justify-content: center;
    align-items: center;
    width: 50%;
    padding: 0;
}

.card-fig img{
    max-height: 10em;
    max-width: 100%;
    object-fit: contain;
}

.flex-column{
    display: flex;
    gap: 16px;
}

.column{
    flex: 1;
    /* margin-bottom: 0; */
}

.tab-list{
    list-style-position: outside;
    padding: 0;
    margin-top: 10px;
    margin-bottom: 0;
}

.tab-list li {
    display: flex;
    align-items: flex-start;
    /* gap: 16px; */
    line-height: 24px;
}

.icon-item {
    display: flex;
    align-items: center;
    /* justify-content:center; */
    /* padding: 4px; */
    /* font-size: 16px; */
    /* font-weight: 360; */
    white-space: nowrap;
    cursor: pointer;
    gap: 10px;
}

.icon-item img {
    height: 16px;
    width: 16px;
    /* background-color: #ffffff; */
}

.icon-item span{
    padding-bottom: 2px;
    line-height: 24px;
    font-weight: 400;
    font-size: 0.9em;
}


.pub-list{
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    row-gap: 0.7em;
    line-height: 1.3em;
}

.pub-head{
    font-size: 0.9em;
    font-weight: 600;
    letter-spacing: 0.2em;
    line-height: 1.2em;
    color: var(--cVar, var(--cAcn0));
}

pub-n {
    color: var(--cBul1);
}


.pub-more {
  display: flex;
  flex-direction: column; 
}

.pub-more[open] {
  display: flex;
  flex-direction: column;
}

.pub-more summary{
    display: inline-block;
    margin-right: calc(var(--pageWid) * 0.74);
    margin-left: var(--padSide);
    margin-bottom: 1em;
    padding: 2px var(--padMid);
    text-align: right;
    cursor: pointer;
    font-weight: 600;
    font-size: 0.9em;
    letter-spacing: 1px;
    color: var(--bVar, var(--cBul0));
    border: 1px solid var(--cVar, var(--cAcn0));
    border-radius: var(--radiusS);
}

.pub-more[open] .content {
  order: 1;
}

.pub-more[open] summary {
  order: 2; /* Pushes button to the bottom */
}

summary::-webkit-details-marker {
  display: none; /* Hide default Safari arrow */
}

summary::after {
  content: attr(data-closed);
}

.pub-more[open] summary::after {
  content: attr(data-open);
}



/* .tab-list li::before {
    content: "•";
    flex-shrink: 0;
} */

#menuButton{
    display: none;
}

#mobileButton{
    display: none;
}

label[for="menuButton"] {
    position: fixed;
    z-index: 4;
    background: url('data/icon-menu-03.svg');
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center;
    top: calc(var(--margTop) + 10px);
    left: calc(var(--menuLeft) + 10px);
    width: 40px;
    height: 40px;
    cursor: pointer;
}

label[for="mobileButton"] {
    position: fixed;
    z-index: 4;
    background: url('data/icon-menu-03.svg');
    background-color: var(--cMobM);
    background-size: 24px;
    background-repeat: no-repeat;
    background-position: center;
    bottom: calc(var(--mBPosY) + 8px);
    right: calc(var(--mBPosX) + 5px);
    width: 50px;
    height: 50px;
    cursor: pointer;
    border-radius: var(--radiusL);
    /* box-shadow: 0 4px 15px var(--cShad); */
    box-shadow: rgba(0, 0, 0, 0.3) 0px 1px 20px;
    display: none;
}


.menuIcon{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    border-radius: var(--radiusM);
    /* transition: .3s ease-out; */
}


.Menu {
    position: fixed;
    z-index: 3;
    background-color: var(--cPage);
    box-shadow: 0 4px 15px var(--cShad);
    left: var(--menuLeft);
    top: var(--margTop);
    width: var(--barWid);
    height: var(--menuHig);
    padding-top: 10px;
    padding-left: 10px;
    border-radius: var(--radiusL);
    transition: width .3s ease-out; 
    font-size: 1.1rem;
}

.Menu:hover{
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
}

.mSep {
    width: 24px;
    height: 1.5px;
    background-color: #d3d3d3;
    border: none;
    margin: 20px 8px;
  }

.rSep {
    width: 24px;
    height: 1.5px;
    background-color: #d3d3d3;
    border: none;
    margin: 20px 8px 20px auto;
  }

.menuItem {
    display: flex;
    align-items: stretch;
    justify-content: flex-end;
    height: 40px;
    margin-top: 10px;
    border-radius: var(--radiusM);
    transition: .3s ease-out;
    cursor: pointer;
}

.menuHead{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    height: 40px;
    margin-left: 50px;
    margin-bottom: 30px;
    overflow: hidden;
    width: 0px;
    white-space: nowrap;
    transition: .3s ease-out;
}

.mobileHead{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 54px;
    height: 50px;
    margin-left: -120px;
    overflow: hidden;
    white-space: nowrap;
    opacity: 0;
    transition: .3s ease-out;
}

.menuText{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;
    white-space: nowrap;
    color: var(--cText);
    transition: .3s ease-out;
}

.mobileMenu{
    position: fixed;
    z-index: 3;
    background-color: var(--cMobM);
    right: var(--mBPosX);
    bottom: var(--mBPosY);
    width: var(--menuWid);
    height: var(--menuHig);
    padding-top: 8px;
    padding-right: 20px;
    border-radius: var(--radiusL);
    transition: opacity .5s ease-out;
    box-shadow: 0 4px 15px var(--cShad);
    font-weight: 400;
    opacity: 0;
}

.mobileMenuIcon{
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--radiusM);
    transition: .3s ease-out;
}

.mobileMenuIcon img {
    height: 22px;
    width: auto;
}

.mobileMenuText{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    overflow: hidden;
    margin-right: 16px;
    white-space: nowrap;
    color: var(--cText);
    transition: .3s ease-out;
}

.menuIcon:hover {
    background-color: var(--cAcn0);
    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 2px 4px;
}

.menuIcon img {
    height: 22px;
    width: auto;
}

.menuText{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;
    width: 0px;
    margin-left: 10px;
    white-space: nowrap;
    color: var(--cText);
    transition: .3s ease-out;
}

label[for="menuButton"]:hover ~ .Menu {
    box-shadow: 0 8px 25px rgba(0, 0, 0, 0.2);
}

#menuButton:checked ~ .Menu{
    width: var(--menuWid);
}

#menuButton:checked ~ .Menu .menuText {
    width: 150px;
    animation: wipe 1s ease-in-out forwards;
    animation-delay: 1s;
}

#menuButton:checked ~ .Menu .menuHead{
    width: var(--menuWid);
}
    
#menuButton:checked ~ .Menu .menuItem:hover {
    background-color: var(--cAcn0);
    box-shadow: rgba(0, 0, 0, 0.05) 0px 1px 2px 0px;
}

#menuButton:checked ~ .Menu .menuIcon:hover {
    pointer-events: none;
}


@media (orientation: portrait) and (max-width: 1000px) {
    :root{
        --padSide: 40px;
        --pageWid: max(300px, calc(100vw - var(--menuSep)));
    }

    .Page{
        margin-left: auto;
        margin-right: auto;
    }

    .Menu{
        display: none;
    }

    label[for="menuButton"]{
        display: none;
    }

    label[for="mobileButton"] {
        display: unset;
    }

    #mobileButton:checked ~ label[for="mobileButton"] .mobileHead{
        opacity: 0.95;
    }

    #mobileButton:checked ~ .mobileMenu{
        display: unset;
        opacity: 1;
    }

    #mobileButton:checked + label {
        box-shadow: none;
    }

}


@media (max-width:720px) {
    :root{
        --padSide: 20px;
        --padTop:  30px;
    }

    .Page{
        /* min-height: auto; */
        /* height: auto; */
        padding-bottom: 40px;
        margin-left: auto;
        margin-right: auto;
        margin-top: 8px;
        border-radius: var(--radiusL);
    }

    .page-tag{
        position: relative;
        border-right: none;
        padding-right: var(--padSide);
    }

    .page-tag::before {
        content: '';
        position: absolute;
        left: var(--padSide);
        top: 0;
        bottom: 0;
        width: 2px;
        background-color: var(--cLine);
    }

    .bio-pic{
        margin-right: 0;
    }

    .block{
        flex-direction: column;
        row-gap: 10px;
    }

    .block-left{
        flex: 1;
        text-align: left;
        padding-left: var(--padSide);
        margin-bottom: 0.5em;
        margin-top: 1em;
    }

    .block-right{
        flex: 1;
        padding-left: var(--padSide);
        margin-bottom: 8px;
    }

    .head-left{
        flex: 1;
        text-align: left;
        padding-left: var(--padSide);
    }

    .head-right{
        flex: 1;
        padding-left: var(--padSide);
    }

    .pc-mail{
        display: none;
    }

    .column{
        margin-bottom: 8px;
    }

    .resp-column{
        flex-direction: column;
        row-gap: 16px;
    }

    .mobile-mail{
        display: flex;
        flex-direction: row;
        gap: 20px;
        align-items: stretch;
    }
    
    .mobile-line {
        padding-top: 8px;
    }

    .card{
        flex-direction: column;
    }

    .card-a {
        width: 100%;
    }

    .card-fig img {
        max-width: 90%;
        max-height: unset;
        padding: 0;
    }

    .pub-more summary{
        margin-right: auto;
        text-align: left;
        padding-left: 10pxk;
    }

}
